#include<iostream>
#include<cstring>
using namespace std;
int main(){
    long long Bx=0,By=0;
    char posoka[100001];
    cin.getline(posoka,100001);
    for(long long i=0;i<strlen(posoka);i++){
        if(posoka[i]=='L'){
            Bx--;
        }else if(posoka[i]=='R'){
            Bx++;
        }else if(posoka[i]=='U'){
            By--;
        }else if(posoka[i]=='D'){
            By++;
        }
    }
    if(Bx==0 && By==0){
        cout<<0;
    }else{
        if(By>0){
            for(long long i=0;i<By;i++){
                cout<<"U";
            }
        }else if(By<0){
            for(long long i=By;i<0;i++){
                cout<<"D";
            }
        }
        if(Bx>0){
            for(long long i=0;i<Bx;i++){
                cout<<"L";
            }
        }else if(Bx<0){
            for(long long i=Bx;i<0;i++){
                cout<<"R";
            }
        }
    }
    cout<<endl;
    return 0;
}
